<script>
  let clicked = false;
</script>

<div>
  <center><button class="btn btn-primary" on:click={() => (clicked = true)}>
    click here
  </button></center>

{#if clicked==true}
  <p> You have clicked the button! </p>
{:else}
<p> You have to click the button! </p>
{/if}
</div>